Bug 67780 - LibreOffice does not create documents according to ODF specification
Summary: LibreOffice does not create documents according to ODF specification
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: odf odf_validation
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-05 10:32 UTC by Zirneklītis
Modified: 2014-12-09 20:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
An empty drawing created with LO 4.0.4.2 (7.61 KB, application/vnd.oasis.opendocument.graphics)
2013-08-05 10:32 UTC, Zirneklītis
Details
An empty presentation created with LO 4.0.4.2 (12.86 KB, application/vnd.oasis.opendocument.presentation)
2013-08-05 10:33 UTC, Zirneklītis
Details
An empty text document created with LO 4.0.4.2 (7.97 KB, application/vnd.oasis.opendocument.text)
2013-08-05 10:34 UTC, Zirneklītis
Details
Empty documents created with LO 4.1.0.4 (28.51 KB, application/x-7z-compressed)
2013-08-05 19:36 UTC, Zirneklītis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zirneklītis 2013-08-05 10:32:46 UTC
Created attachment 83654 [details]
An empty drawing created with LO 4.0.4.2

Even empty documents created by LibreOffice Writer, Impress and Draw do not follow the ODF specification. The documents are created with LibreOffice 4.0.4.2 (ID: 9e9821abd0ffdbc09cd8c52eaa574fa09eb08f2). Documents are verified with:

http://opendocumentfellowship.com/validator

and

http://people.freedesktop.org/~mst/odfvalidator-1.1.6-incubating-SNAPSHOT-jar-with-dependencies.jar
Comment 1 Zirneklītis 2013-08-05 10:33:50 UTC
Created attachment 83655 [details]
An empty presentation created with LO 4.0.4.2
Comment 2 Zirneklītis 2013-08-05 10:34:25 UTC
Created attachment 83656 [details]
An empty text document created with LO 4.0.4.2
Comment 3 Urmas 2013-08-05 13:05:41 UTC
Looks like a bug in libxml2.
Comment 4 Zirneklītis 2013-08-05 19:35:28 UTC
Recheck with LibreOffice 4.1.0.4 both on Linux x64 (Fedora 18) and Windows XP. On both computers the Writer and the Impress creates documents which could not pass the ODF specification tests.

At the same the Calc and the Draw creates empty documents which could pass the ODF specification tests.

(LibreOffice 4.0.4.2 Draw was not able to create correct document)
Comment 5 Zirneklītis 2013-08-05 19:36:25 UTC
Created attachment 83677 [details]
Empty documents created with LO 4.1.0.4
Comment 6 Björn Michaelsen 2014-01-17 00:43:53 UTC
(This is an automated message.)

LibreOffice development currently prioritizes bugs with the so called MAB (most annoying bugs) -- as this bug has not run through that process (including writing a short rationale for this bug being a candidate and other who are watching the tracker bug silently approving that rationale etc.) its priority is set to high. Note this is effectively no change in the urgency assigned to this bug, as we are currently not making a difference between high and highest and severity is untouched.

You can find out more about MABs and how the process works by contacting libreoffice qa on irc:

 http://webchat.freenode.net/?channels=libreoffice-qa

The QA wiki page also gives you hints on how to get in contact with the team (if IRC fails you, your next best choice is the mailing list):

 https://wiki.documentfoundation.org/QA
Comment 7 Michael Stahl (CIB) 2014-12-09 20:00:11 UTC
please don't use this validator, it is obsolete and only supports ODF 1.0
http://opendocumentfellowship.com/validator

please file one bug per element or attribute that the validator complains about.

i think all the errors reported on the attached files should be fixed now, see e.g. bug 45534